package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */

@AllArgsConstructor
public enum AuditStatusEnum {
    /**
     * 稽核状态
     */
    G("-1", "待处理"), A("0", "稽核中"), B("1", "相符"), C("2", "不符"), D("3", "缺联"), E("4", "重号"), F("5", "历史相符");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (AuditStatusEnum materialEnum : AuditStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
